List Steps
curl --request GET \
--url https://schoolmaker.co/api/v1/steps \
--header 'Authorization: Bearer <token>'import requests
url = "https://schoolmaker.co/api/v1/steps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://schoolmaker.co/api/v1/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "00000000-0000-4000-8000-000000000002",
"lesson_id": "00000000-0000-4000-8000-000000000003",
"title": "Steps HTTP basic",
"position": 2,
"action_type": "basic",
"is_optional": true,
"is_published": true,
"min_duration": null,
"max_duration": null
}
],
"page": 1,
"next_page": null
}{
"error": "Access denied"
}{
"error": "Record not found"
}{
"error": "Invalid arguments: /attributes/position integer"
}Steps
List Steps
Retrieves the steps in a lesson, ordered by position.
GET
/
steps
List Steps
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
One-based page, default 1.
Required range:
1 <= x <= 10000Results per page, default 30, maximum 30.
Required range:
1 <= x <= 30Case-insensitive step-title search.
Maximum string length:
10000Parent lesson ID.
Required string length:
1 - 255Was this page helpful?